org.eclipse.net4j.util.factory

## Class FactoryKey

- java.lang.Object
- - org.eclipse.net4j.util.factory.FactoryKey

- All Implemented Interfaces:
    Serializable, Comparable<FactoryKey>, IFactoryKey

      public final class FactoryKey
      extends Object
      implements IFactoryKey, Serializable, Comparable<FactoryKey>

  A default implementation of a `factory key`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  Apiviz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryKey(String productGroup, String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FactoryKey key)`
    `boolean` | `equals(Object obj)`
    `String` | `getProductGroup()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setProductGroup(String productGroup)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryKey

          public FactoryKey(String productGroup,
                            String type)

  - ### Method Detail

    - #### getProductGroup

          public String getProductGroup()

      Specified by:
        `getProductGroup` in interface `IFactoryKey`

    - #### setProductGroup

          public void setProductGroup(String productGroup)

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `IFactoryKey`

    - #### setType

          public void setType(String type)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(FactoryKey key)

      Specified by:
        `compareTo` in interface `Comparable<FactoryKey>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html